Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Orgs
  • Directory
  • Users
  • Groups
  • Domains
  • Events
  • Policies
  • Workspaces
Cloud
Organizations REST API / Reference / REST API

Directory

Postman Collection
OpenAPI

Org Directory APIs

GET

Get directories in an organization

Returns a page of directories in an organization that match the supplied parameters.

Scopes

OAuth 2.0 scopes required: read:directories:admin

Request

Path parameters

orgId

string

Required

Query parameters

accountId

string

directoryIds

array<string>

searchTerm

string

cursor

string

limit

integer

Responses

Returns if the request is successful.

application/json

MultiDirectoryUserDirectoryPage
GET/v2/orgs/{orgId}/directories
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/admin/v2/orgs/{orgId}/directories' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 { "data": [ { "directoryId": "12345678-1234-1234-1234-123456789012", "name": "Primary Directory", "icon": "https://icon1.example.com/icon1.png" }, { "directoryId": "12345678-1234-1234-1234-123456789013", "name": "Secondary Directory", "icon": "https://icon2.example.com/icon2.png" } ], "links": { "self": "ObSbZxpM1f1fzia2_GnuJw", "prev": "LIZFEbzCT2pCCkQhPIUgIQ", "next": "kloHX1ZQVasDAkx_P48NYQ" } }

Rate this page: